From 30f5e1483487c6e43702d09e466996cb3c08d642 Mon Sep 17 00:00:00 2001
From: Pan Nengyuan <pannengyuan@huawei.com>
Date: Mon, 30 Mar 2020 15:50:23 +0800
Subject: [PATCH 05/28] virt_vm: use a serial connection when remote login
 failed

use a serial connection when remote login failed(ssh/rss)

Signed-off-by: Pan Nengyuan <pannengyuan@huawei.com>
---
 virttest/virt_vm.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/virttest/virt_vm.py b/virttest/virt_vm.py
index ea265cd3..7fd3bdce 100644
--- a/virttest/virt_vm.py
+++ b/virttest/virt_vm.py
@@ -519,7 +519,7 @@ def session_handler(func):
                 vm.connect_uri = uri
                 vm.session = vm.wait_for_serial_login()
             else:
-                vm.session = vm.wait_for_login()
+                vm.session = vm.wait_for_login(serial=True)
             return func(vm, *args, **kwargs)
         finally:
             if vm.session:
-- 
2.23.0

